﻿@model IEnumerable<EasyMissionMVC.Models.userMVC>

@{
    ViewBag.Title = "ListUsers";
    Layout = "~/Views/Shared/_FrontLayout.cshtml";
}

<h2>ListUsers</h2>
<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.role)
        </th>

        <th>
            @Html.DisplayNameFor(model => model.firstname)
        </th>

        <th>
            @Html.DisplayNameFor(model => model.lastname)
        </th>

        <th>
            @Html.DisplayNameFor(model => model.mail)
        </th>

        <th>
            @Html.DisplayNameFor(model => model.username)
        </th>

        <th>
            @Html.DisplayNameFor(model => model.gender)
        </th>
   
        <th>
            @Html.DisplayNameFor(model => model.country)
        </th>
 
        <th>
            @Html.DisplayNameFor(model => model.phone)
        </th>

        @*<th>
            @Html.DisplayNameFor(model => model.picture)
        </th>*@
 
        <th></th>
    </tr>

@foreach (var item in ViewBag.result) {
    <tr>
        <td>
            <img src="../../Content/Upload/@item.picture" alt="user" class="profile-photo-lg" style="max-width: 100%">
        </td>
        <td>
            @item.role
        </td>

        <td>
            @item.firstname
        </td>

        <td>
            @item.lastname
        </td>

        <td>
            @item.mail
        </td> 

        <td>
            @item.username
        </td>

        <td>
            @item.gender
        </td>
      
        <td>
            @item.country
        </td>
     
        <td>
            @item.phone
        </td>

        @*<td>
            @item.picture
        </td>*@
       


        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.id }) |
            @Html.ActionLink("Details", "Details", new { id=item.id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.id })
        </td>
    </tr>
}

</table>
